Bug 1816483 - OpenShift OperatorHub kind missing client marker comment
Summary: OpenShift OperatorHub kind missing client marker comment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.5.0
Assignee: Nick Hale
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks: 1815649 1816485
TreeView+ depends on / blocked
 
Reported: 2020-03-24 05:21 UTC by Nick Hale
Modified: 2020-08-04 18:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The OperatorHub type definition is missing an additional `+genclient` marker comment required for Kubernetes client generation. Consequence: The generated client is not available in openshift/client-go config client. Fix: Add the missing `+genclient` marker comment to the OperatorHub config type. Result: The generated client is available in the openshift/client-go config client.
Clone Of:
: 1816485 (view as bug list)
Environment:
Last Closed: 2020-08-04 18:06:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift api pull 605 None closed Bug 1816483: fix(codegen): add missing client tag to operatorhub config type 2020-07-15 19:15:31 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-08-04 18:06:46 UTC

Comment 3 Fan Jia 2020-03-26 01:18:14 UTC
The operatorhub add the `+genclient` marker , and the client-go generate the operatorhub config client: https://github.com/openshift/client-go/pull/143

Comment 5 errata-xmlrpc 2020-08-04 18:06:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5 image release advisory), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.